SolrDocument::fieldExists
SolrDocument::getField
SolrDocument
PHP Manual

# SolrDocument::__get

(PECL solr >= 0.9.2)

SolrDocument::__get — Access the field as a property

### Description

public SolrDocumentField SolrDocument::__get ( string `$fieldName` )

Magic method for accessing the field as a property.

### Parameters

`fieldName`

  The name of the field.

### Return Values

Returns a SolrDocumentField instance.

SolrDocument::fieldExists
SolrDocument::getField
SolrDocument
PHP Manual